<?php
	session_start();
?>
<?php
	if(!empty($_POST)){
		//エラーチェック（$errorに格納）
		if($_POST["f_name"] == ""){
			$error["f_name"] = "blank";
		}
		if($_POST["l_name"] == ""){
			$error["l_name"] = "blank";
		}
		if($_POST["address"] == ""){
			$error["address"] = "blank";
		}
		if($_POST["email"] == ""){
			$error["email"] = "blank";
		}
		if(strlen($_POST["pass"]) < 4){
			$error["pass"] = "length";
		}
		if($_POST["pass"] == ""){
			$error["pass"] = "blank";
		}
		
		//エラーがなければcheck.phpへ移動
		if(empty($error)){
			$_SESSION["join"] = $_POST;
			header("Location: check.php");
		}
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>赤嶺農園 - 新規会員登録</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="style.css">
<script type="text/javascript" src="scripts/myscript.js"></script>
<link rel="shortcut icon" type="image/png" href="images/favi.png">
</head>
<body>
<div id="container">
	<div id="navigator">
		<div id="navigator_in">
			<div id="top"> <a href="index.php">TOPへ</a> </div>
			<div id="hello">
				<p>ようこそ、ゲストさん</p>
			</div>
			<!--hello-->
			<div id="login">
				<ul>
					<li><a class="login" href="login.php">ログイン</a></li>
					<li><a class="signin_select" href="signin.php">新規会員登録</a></li>
					<li><a class="about" href="about.php">このサイトについて</a></li>
				</ul>
			</div>
			<!--login--> 
		</div>
		<!--navigator_in--> 
	</div>
	<!--navigator-->
	<div id="header">
		<div id="header_in">
			<div id="logo">
				<h1><a href="index.php">赤嶺農園 - 沖繩県産の野菜、果物販売しております。</a></h1>
			</div>
			<!--logo-->
			<div id="user">
				<div id="search">
					<form action="#" method="GET">
						<input class="searchtxt" type="text">
						<input class="searchbtn" type="submit" value="検索する">
					</form>
				</div>
				<!--search-->
				<div id="menu">
					<ul>
						<li><a class="new" href="new.php">初めての方</a></li>
						<li><a class="buy" href="buy.php">商品を購入</a></li>
					</ul>
				</div>
				<!--menu--> 
			</div>
			<!--user--> 
		</div>
		<!--header_in--> 
	</div>
	<!--header-->
	<div id="contents">
		<div id="contents_in">
			<div id="signin_view">
				<div id="signin_view_in">
					<h2>新規会員登録</h2>
					<form name="frm" action="signin.php" method="post">
						<table border="0" cellpadding="0" cellspacing="15">
							<tr>
								<td class="signin_td">姓：</td>
								<td><input class="signin_txt" type="text" name="f_name" value="<?php print $_POST["f_name"];?>"></td>
							<tr>
								<td></td>
								<td><?php if($error["f_name"] == "blank"){print "<span class='point'>※姓が入力されていません！</span>";}?></td>
							</tr>
							
								<td class="signin_td">名：</td>
								<td><input class="signin_txt" type="text" name="l_name" value="<?php print $_POST["l_name"];?>"></td>
							</tr>
							<tr>
								<td></td>
								<td><?php if($error["l_name"] == "blank"){print "<span class='point'>※名が入力されていません！</span>";}?></td>
							</tr>
							<tr>
								<td class="signin_td">年齢：</td>
								<td><select name="age">
										<?php for($i=16;$i<80;$i++){ print "<option value='$i'>".$i."歳</option>";}?>
									</select></td>
							</tr>
							<tr>
								<td class="signin_td">住所：</td>
								<td><input class="signin_txt" type="text" name="address" value="<?php print $_POST["address"];?>"></td>
							</tr>
							<tr>
								<td></td>
								<td><span class="preview"> ※住所は、実際に商品を配送する時に使用するので、お間違えの無いよう気を付けてください。 </span></td>
							</tr>
							<tr>
								<td></td>
								<td><?php if($error["address"] == "blank"){print "<span class='point'>※住所が入力されていません！</span>";}?></td>
							</tr>
							<tr>
								<td class="signin_td">メールアドレス：</td>
								<td><input class="signin_txt" type="text" name="email" value="<?php print $_POST["email"];?>"></td>
							</tr>
							<tr>
								<td></td>
								<td><span class="preview"> メールアドレスを記入してください。<br>
									（例：akaminenouen@abc.ne.jp）<br>
									メールアドレスをお持ちでない方は、<a href="https://www.google.com/accounts/NewAccount?service=mail&continue=http://mail.google.com/mail/e-11-20fec613b8b57ab48a9927fca47e1-3b853bec30a74cb5c11797dbcc094b4e1bd6f99c&type=2">Gmail</a>や<a href="https://account.edit.yahoo.co.jp/registration?.done=http%3A//mail.yahoo.co.jp/&.src=ym">Yahooメール</a>などのフリーメールを利用すると便利です。 </span></td>
							</tr>
							<tr>
								<td></td>
								<td><?php if($error["email"] == "blank"){print "<span class='point'>※メールアドレスが入力されていません！</span>";}?></td>
							</tr>
							<tr>
								<td class="signin_td">パスワード：</td>
								<td><input class="signin_txt" type="password" name="pass" value="<?php print $_POST["pass"];?>"></td>
							</tr>
							<tr>
								<td></td>
								<td><span class="preview">必ず<span class="point">半角英数字</span>で<span class="point">4文字以上</span>入力してください。</span></td>
							</tr>
							<tr>
								<td></td>
								<td><?php if($error["pass"] == "blank"){print "<span class='point'>※パスワードが入力されていません！</span>";}?>
									<?php if($error["pass"] == "length"){print "<span class='point'>※4文字以上入力してください！</span>";}?></td>
							</tr>
							<tr>
								<td></td>
								<td><input class="login_btn" type="submit" value="この内容で新規登録する"></td>
							</tr>
							<tr>
								<td></td>
								<td class="preview"><a href="index.php">TOPへ戻る</a></td>
							</tr>
						</table>
					</form>
				</div>
				<!-- contents_in --> 
			</div>
			<!-- contents --> 
		</div>
		<!-- signin_view_in --> 
	</div>
	<!-- signin_view -->
	<div id="footer">
		<div id="footer_in"> <span>&copy;Copywrite akamine nouen All Writes Reserved.</span> </div>
		<!--footer_in--> 
	</div>
	<!--footer--> 
</div>
<!--container-->
<?php require("debug.php");?>
</body>
</html>
